from django.conf.urls import url
from django.conf import settings
from .views import (subscribe, thanks, confirmation, stats, unsubscription,
        newsletter_list, newsletter_create, newsletter_view, newsletter_update,
        newsletter_send)

urlpatterns = [
    url(r'^$', subscribe, name='newsletter-subscribe'),
    url(r'^thanks/$', thanks, name='newsletter-thanks'),
    url(r'^(?P<token>[0-9a-f]{40})$', confirmation, name='newsletter-confirmation'),
    url(r'^stats/$', stats),
    url(r'^unsubscription/$', unsubscription),
]

management_patterns = [
    url(r'^$', newsletter_list, name='newsletter-list'),
    url(r'^add$', newsletter_create, name='newsletter-create'),
    url(r'^(?P<pk>\d+)/$', newsletter_view, name='newsletter-view'),
    url(r'^(?P<pk>\d+)/edit$', newsletter_update, name='newsletter-edit'),
    url(r'^(?P<pk>\d+)/send$', newsletter_send, name='newsletter-send'),
]
